<?php

/**
 * @file
 * Admin settings for the Mover module.
 */

/**
 * Configure Mover settings for this site.
 */
function mover_settings_form() {
  $form['mover_oldsite_base_urls'] = array(
    '#type' => 'textarea',
    '#title' => t('Base URL(s) of site that content is exported from'),
    '#description' => t('This is optional, but very useful for rewriting links and image URLs in body content, and also for displaying links back to the original content for imported nodes. Enter one URL per line (e.g. http://www.google.com/) with or without trailing slashes. Normally only one URL is needed, but some sites have multiple URLs with different subdomains.'),
    '#default_value' => variable_get('mover_oldsite_base_urls', ''),
  );
  $form['mover_oldsite_files_directories'] = array(
    '#type' => 'textarea',
    '#title' => t("Directory paths relative to the site's base URLs where images and other files might be saved"),
    '#description' => t('This is optional, but very useful for downloading files from the old site. Enter one filepath per line (e.g. /sites/default/files or /sites/mysite.com/files) with or without leading and trailing slashes.'),
    '#default_value' => variable_get('mover_oldsite_files_directories', ''),
  );
  $form['mover_oldsite_files_dump'] = array(
    '#type' => 'textarea',
    '#title' => t('(Optional) Is there a folder accessible to the local server where the old site files are stored?'),
    '#description' => t('This is optional, but faster than downloading files directly from the old site. Enter one local server path per line (e.g. /data/oldsite/sites/default/files) with or without a trailing slash.'),
    '#default_value' => variable_get('mover_oldsite_files_dump', ''),
  );
  return system_settings_form($form);
}
