<?php

/**
 * @file
 * Handles importing of path redirects.
 */

/**
 * Creates or returns a new redirect based on raw redirect data.
 */
function mover_import_redirects_process_import($data) {
  $old_redirect = $data->redirect;
  if (preg_match('/taxonomy\/term\/([0-9]+)/', $old_redirect, $match)) {
    $old_id = $match[1];
    $new_id = mover_import_get_new_id('term', $old_id);
    if ($new_id) {
      $redirect = 'taxonomy/term/'. $new_id;
    }
  }
  elseif (preg_match('/node\/([0-9]+)/', $old_redirect, $match)) {
    $old_id = $match[1];
    $new_id = mover_import_get_new_id('node', $old_id);
    if ($new_id) {
      $redirect = 'node/'. $new_id;
    }
  }
  elseif (preg_match('/user\/([0-9]+)/', $old_redirect, $match)) {
    $old_id = $match[1];
    $new_id = mover_import_get_new_id('user', $old_id);
    if ($new_id) {
      $redirect = 'user/'. $new_id;
    }
  }
  else {
    $redirect = $old_redirect;
  }

  if (isset($redirect)) {
    mover_import_add_path_redirect($data->path, $redirect);
  }
  else {
    drupal_set_message(t('Unable to find new path for redirect %redirect which pointed to %old-redirect',
      array('%redirect' => $data->path, '%old-redirect' => $old_redirect)), 'error');
  }
}
